Package org.springframework.orm.hibernate5

# Class HibernateObjectRetrievalFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.DataRetrievalFailureException
org.springframework.orm.ObjectRetrievalFailureException
org.springframework.orm.hibernate5.HibernateObjectRetrievalFailureException

All Implemented Interfaces:
  `Serializable`

public class HibernateObjectRetrievalFailureException extends ObjectRetrievalFailureException
Hibernate-specific subclass of ObjectRetrievalFailureException. Converts Hibernate's UnresolvableObjectException and WrongClassException.

Since:
  4.2
Author:
  Juergen Hoeller
See Also:
  - `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HibernateObjectRetrievalFailureException(UnresolvableObjectException ex)`
`HibernateObjectRetrievalFailureException(WrongClassException ex)`

## Method Summary

### Methods inherited from class org.springframework.orm.ObjectRetrievalFailureException

`getIdentifier, getPersistentClass, getPersistentClassName`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HibernateObjectRetrievalFailureException

public HibernateObjectRetrievalFailureException(UnresolvableObjectException ex)

### HibernateObjectRetrievalFailureException

public HibernateObjectRetrievalFailureException(WrongClassException ex)